Bug 558228 - Review Request: perl-Tk-DirSelect - Cross-platform directory selection widget
Summary: Review Request: perl-Tk-DirSelect - Cross-platform directory selection widget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-24 12:48 UTC by David Hannequin
Modified: 2010-03-13 02:30 UTC (History)
3 users (show)

Fixed In Version: perl-Tk-DirSelect-1.12-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-13 02:30:16 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Hannequin 2010-01-24 12:48:48 UTC
Spec URL: http://hvad.cfppa-cibeins.com/perl-modules/perl-Tk-DirSelect/perl-Tk-DirSelect.spec
SRPM URL: http://hvad.cfppa-cibeins.com/perl-modules/perl-Tk-DirSelect/perl-Tk-DirSelect-1.11-1.fc10.src.rpm
Description: This module provides a cross-platform directory selection widget. For
systems running Microsoft Windows, this includes selection of local and
mapped network drives. A context menu (right-click or <Button3>) allows the
creation, renaming, and deletion of directories while browsing.

Comment 1 Emmanuel Seyman 2010-01-26 00:41:41 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1944293
 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [!] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.

This package is licensed under the terms of the Perl Artistic License,
which is not an acceptable license for Fedora packages.

 [!] License field in the package spec file matches the actual license.

Code says Artistic, Specfile says GPL+ or Artistic

 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
e55276c81b9937608526c9d2badc050e  Tk-DirSelect-1.11.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f12.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: f12.x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

Provides: perl(Tk::DirSelect) = 1.11
Requires: rpmlib(CompressedFileNames) <= 3.0.4-1
          rpmlib(FileDigests) <= 4.6.0-1
          rpmlib(PayloadFilesHavePrefix) <= 4.0-1
          rpmlib(VersionedDependencies) <= 3.0.3-1
          perl(Cwd)
          perl(File::Spec)
          perl(Tk) >= 800
          perl(Tk::BrowseEntry)
          perl(Tk::Button)
          perl(Tk::DirTree)
          perl(Tk::Frame)
          perl(Tk::Label)
          perl(base)
          perl(strict)
          perl(vars)

Please add "perl(Tk::Toplevel)" to the requirements.

Please contact upstream to ask if they are willing to release a new
version of this package under an approved license. The list of licenses is:
https://fedoraproject.org/wiki/Licensing#Software_License_List

FAIL.

Comment 3 Emmanuel Seyman 2010-02-19 05:52:24 UTC
We're almost there.

David, you need to add perl(Test::More) to the BuildRequires of your spec file (and in the future, please test your package with mock or koji before submitting a .src.rpm).

From the spec file:
>
> sed -i 's/\r//' Changes
> sed -i 's/\r//' README

Nitpick.
I'ld write this: sed -i 's/\r//' Changes README

and this really belongs in the prep section of the spec file more than the install one.

Please consider adding "%{?perl_default_filter}" to your spec before the %description block.

Comment 5 Emmanuel Seyman 2010-03-01 23:01:05 UTC
(In reply to comment #4)
> 
> New spec en srpm :

Builds in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2023359

APPROVED.

Comment 6 David Hannequin 2010-03-03 20:11:17 UTC
New Package CVS Request
=======================
Package Name: perl-Tk-DirSelect
Short Description: This module provides a cross-platform directory selection widget.
Owners: hvad
Branches: F-12 F-13
InitialCC: perl-sig

Comment 7 Kevin Fenzi 2010-03-06 05:17:36 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-03-06 14:11:45 UTC
perl-Tk-DirSelect-1.12-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Tk-DirSelect-1.12-2.fc12

Comment 9 Fedora Update System 2010-03-06 14:20:05 UTC
perl-Tk-DirSelect-1.12-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Tk-DirSelect-1.12-2.fc13

Comment 10 Fedora Update System 2010-03-09 03:30:32 UTC
perl-Tk-DirSelect-1.12-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Tk-DirSelect'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Tk-DirSelect-1.12-2.fc12

Comment 11 Fedora Update System 2010-03-09 03:37:32 UTC
perl-Tk-DirSelect-1.12-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Tk-DirSelect'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Tk-DirSelect-1.12-2.fc13

Comment 12 Fedora Update System 2010-03-13 02:30:10 UTC
perl-Tk-DirSelect-1.12-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-13 02:30:23 UTC
perl-Tk-DirSelect-1.12-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.